Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707532 - x11-plugins/wmdots-0.2_beta-r1 : fails to build with -fno-common or gcc-10
Summary: x11-plugins/wmdots-0.2_beta-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 21:28 UTC by Toralf Förster
Modified: 2020-03-01 15:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.39 KB, text/plain)
2020-01-30 21:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,235.15 KB, text/plain)
2020-01-30 21:28 UTC, Toralf Förster
Details
environment (environment,50.71 KB, text/plain)
2020-01-30 21:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,16.64 KB, application/x-bzip)
2020-01-30 21:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,13.75 KB, application/x-bzip)
2020-01-30 21:28 UTC, Toralf Förster
Details
x11-plugins:wmdots-0.2_beta-r1:20200130-205328.log (x11-plugins:wmdots-0.2_beta-r1:20200130-205328.log,3.23 KB, text/plain)
2020-01-30 21:28 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 21:28:40 UTC
  +++ |+#include <math.h>
   92 | 
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -Wall ../wmgeneral/wmgeneral.c -o ../wmgeneral/wmgeneral.o
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -o wmdots wmdots.o ../wmgeneral/wmgeneral.o -lXext -L/usr/lib64 -lXpm -lXext -lX11
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../wmgeneral/wmgeneral.o:(.bss+0x338): multiple definition of `display'; wmdots.o:(.bss+0xc50): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../wmgeneral/wmgeneral.o:(.bss+0x330): multiple definition of `Root'; wmdots.o:(.bss+0xc48): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 19:46:24 +0000

emerge -qpvO x11-plugins/wmdots
[ebuild  N    ] x11-plugins/wmdots-0.2_beta-r1
Comment 1 Toralf Förster gentoo-dev 2020-01-30 21:28:43 UTC
Created attachment 609444 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 21:28:46 UTC
Created attachment 609446 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 21:28:49 UTC
Created attachment 609448 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 21:28:52 UTC
Created attachment 609450 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 21:28:55 UTC
Created attachment 609452 [details]
temp.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 21:28:58 UTC
Created attachment 609454 [details]
x11-plugins:wmdots-0.2_beta-r1:20200130-205328.log
Comment 7 Larry the Git Cow gentoo-dev 2020-03-01 15:25:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59f3ded139d77e75745a3fd95f9999bdb3668a9c

commit 59f3ded139d77e75745a3fd95f9999bdb3668a9c
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-03-01 15:12:33 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-03-01 15:12:43 +0000

    x11-plugins/wmdots: fix build with -fno-common
    
    Closes: https://bugs.gentoo.org/707532
    Package-Manager: Portage-2.3.90, Repoman-2.3.20
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 .../wmdots/files/wmdots-0.2_beta-gcc-10.patch      | 27 ++++++++++++++++++++++
 x11-plugins/wmdots/wmdots-0.2_beta-r1.ebuild       |  4 ++++
 2 files changed, 31 insertions(+)